%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%endif

%if %mdkversion < 200700
%define subrel 2
%endif


%define name    mozilla-thunderbird-enigmail-l10n
%define oname   mozilla-thunderbird-enigmail
%define version 1.5.0.7
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %{version}
%define enigmail_version 0.9x
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/downloads/lang/%{enigmail_version}

Summary:   Localisations for enigmail (virtual package)
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Networking/WWW
Url:       http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_buildroot}
BuildRequires: libxml2-utils
%description
Localisations for Enigmail

#-------------------------------------------------------------------

%package -n %{oname}-ca
%define  language_ca  ca-AD
%define  locale_ca %(echo %language_ca|sed -e 's/-.*//g')
%define  langname_ca Catalan

Summary: %{langname_ca} interface for thunderbird
Source0: %{xpidir}/enigmail-%language_ca-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_ca}


%description  -n %{oname}-ca
%{langname_ca} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-ca
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b55-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b55-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b55-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b55-11d4-8f02-006008948af5}/chrome/enigmail-ca-AD.jar
%{mozillalibdir}/extensions/{847b3a00-7b55-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-cs
%define  language_cs  cs-CZ
%define  locale_cs %(echo %language_cs|sed -e 's/-.*//g')
%define  langname_cs Czech

Summary: %{langname_cs} interface for thunderbird
Source1: %{xpidir}/enigmail-%language_cs-%{enigmail_version}.xpi
Source16: enigmail-cs-chrome.manifest
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_cs}


%description  -n %{oname}-cs
%{langname_cs} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-cs
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b61-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b61-11d4-8f02-006008948af5}/chrome/
%{mozillalibdir}/extensions/{847b3a00-7b61-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b61-11d4-8f02-006008948af5}/chrome/enigmail-cs-CZ.jar
%{mozillalibdir}/extensions/{847b3a00-7b61-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-de
%define  language_de de
%define  locale_de %(echo %language_de|sed -e 's/-.*//g')
%define  langname_de German

Summary: %{langname_de} interface for thunderbird
Source2: %{xpidir}/enigmail-%language_de-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_de}


%description  -n %{oname}-de
%{langname_de} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-de
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{62DE0D2F-884F-4aaf-B61B-884E93B552AE}
%dir %{mozillalibdir}/extensions/{62DE0D2F-884F-4aaf-B61B-884E93B552AE}/chrome
%{mozillalibdir}/extensions/{62DE0D2F-884F-4aaf-B61B-884E93B552AE}/chrome.manifest
%{mozillalibdir}/extensions/{62DE0D2F-884F-4aaf-B61B-884E93B552AE}/chrome/enigmail-DE.jar
%{mozillalibdir}/extensions/{62DE0D2F-884F-4aaf-B61B-884E93B552AE}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-es
%define  language_es es-ES
%define  locale_es %(echo %language_es|sed -e 's/-.*//g')
%define  langname_es Spanish

Summary: %{langname_es} interface for thunderbird
Source3: %{xpidir}/enigmail-%language_es-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_es}


%description  -n %{oname}-es
%{langname_es} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-es
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b67-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b67-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b67-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b67-11d4-8f02-006008948af5}/chrome/enigmail-es-ES.jar
%{mozillalibdir}/extensions/{847b3a00-7b67-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-fi
%define  language_fi fi-FI
%define  locale_fi %(echo %language_fi|sed -e 's/-.*//g')
%define  langname_fi Finnish

Summary: %{langname_fi} interface for thunderbird
Source4: %{xpidir}/enigmail-%language_fi-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_fi}


%description  -n %{oname}-fi
%{langname_fi} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-fi
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b95-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b95-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b95-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b95-11d4-8f02-006008948af5}/chrome/enigmail-fi-FI.jar
%{mozillalibdir}/extensions/{847b3a00-7b95-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-fr
%define  language_fr fr-FR
%define  locale_fr %(echo %language_fr|sed -e 's/-.*//g')
%define  langname_fr French

Summary: %{langname_fr} interface for thunderbird
Source5: %{xpidir}/enigmail-%language_fr-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_fr}


%description  -n %{oname}-fr
%{langname_fr} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-fr
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b98-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b98-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b98-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b98-11d4-8f02-006008948af5}/chrome/enigmail-fr-FR.jar
%{mozillalibdir}/extensions/{847b3a00-7b98-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-hu
%define  language_hu  hu-HU
%define  locale_hu %(echo %language_hu|sed -e 's/-.*//g')
%define  langname_hu Hungarian

Summary: %{langname_hu} interface for thunderbird
Source6: %{xpidir}/enigmail-%language_hu-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_hu}


%description  -n %{oname}-hu
%{langname_hu} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-hu
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b41-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b41-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b41-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b41-11d4-8f02-006008948af5}/chrome/enigmail-hu-HU.jar
%{mozillalibdir}/extensions/{847b3a00-7b41-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-it
%define  language_it  it-IT
%define  locale_it %(echo %language_it|sed -e 's/-.*//g')
%define  langname_it   Italian

Summary: %{langname_it} interface for thunderbird
Source7: %{xpidir}/enigmail-%language_it-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_it}


%description  -n %{oname}-it
%{langname_it} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-it
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b06-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b06-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b06-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b06-11d4-8f02-006008948af5}/chrome/enigmail-it-IT.jar
%{mozillalibdir}/extensions/{847b3a00-7b06-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-ja
%define  language_ja  ja-JP
%define  locale_ja %(echo %language_ja|sed -e 's/-.*//g')
%define  langname_ja Japanese

Summary: %{langname_ja} interface for thunderbird
Source8: %{xpidir}/enigmail-%language_ja-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_ja}


%description  -n %{oname}-ja
%{langname_ja} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-ja
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7bca-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7bca-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7bca-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7bca-11d4-8f02-006008948af5}/chrome/enigmail-ja-JP.jar
%{mozillalibdir}/extensions/{847b3a00-7bca-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-nb
%define  language_nb nb-NO
%define  locale_nb %(echo %language_nb|sed -e 's/-.*//g')
%define  langname_nb Norwegian Bokmaal

Summary: %{langname_nb} interface for thunderbird
Source9: %{xpidir}/enigmail-%language_nb-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_nb}


%description  -n %{oname}-nb
%{langname_nb} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-nb
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b4a-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b4a-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b4a-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b4a-11d4-8f02-006008948af5}/chrome/enigmail-nb-NO.jar
%{mozillalibdir}/extensions/{847b3a00-7b4a-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-nl
%define  language_nl nl-NL
%define  locale_nl %(echo %language_nl|sed -e 's/-.*//g')
%define  langname_nl Dutch

Summary: %{langname_nl} interface for thunderbird
Source10: %{xpidir}/enigmail-%language_nl-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_nl}


%description  -n %{oname}-nl
%{langname_nl} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-nl
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b52-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b52-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b52-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b52-11d4-8f02-006008948af5}/chrome/enigmail-nl-NL.jar
%{mozillalibdir}/extensions/{847b3a00-7b52-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-pl
%define  language_pl pl-PL
%define  locale_pl %(echo %language_pl|sed -e 's/-.*//g')
%define  langname_pl Polish

Summary: %{langname_pl} interface for thunderbird
Source11: %{xpidir}/enigmail-%language_pl-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_pl}


%description  -n %{oname}-pl
%{langname_pl} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-pl
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b3f-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b3f-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b3f-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b3f-11d4-8f02-006008948af5}/chrome/enigmail-pl-PL.jar
%{mozillalibdir}/extensions/{847b3a00-7b3f-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-pt
%define  language_pt pt-PT
%define  locale_pt %(echo %language_pt|sed -e 's/-.*//g')
%define  langname_pt Portuguese

Summary: %{langname_pt} interface for thunderbird
Source12: %{xpidir}/enigmail-%language_pt-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_pt}


%description  -n %{oname}-pt
%{langname_pt} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-pt
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b8f-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b8f-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7b8f-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7b8f-11d4-8f02-006008948af5}/chrome/enigmail-pt-PT.jar
%{mozillalibdir}/extensions/{847b3a00-7b8f-11d4-8f02-006008948af5}/install.rdf
#-------------------------------------------------------------------

%package -n %{oname}-pt_BR
%define  language_pt_BR pt-BR
%define  locale_pt_BR %(echo %language_pt_BR|sed -e 's/-.*//g')
%define  langname_pt_BR Brazilian Portuguese

Summary: %{langname_pt_BR} interface for thunderbird
Source13: %{xpidir}/enigmail-%language_pt_BR-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_pt_BR}


%description  -n %{oname}-pt_BR
%{langname_pt_BR} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-pt_BR
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{c2deadef-4d30-4352-89f0-f60179c8c131}
%dir %{mozillalibdir}/extensions/{c2deadef-4d30-4352-89f0-f60179c8c131}/chrome
%{mozillalibdir}/extensions/{c2deadef-4d30-4352-89f0-f60179c8c131}/chrome.manifest
%{mozillalibdir}/extensions/{c2deadef-4d30-4352-89f0-f60179c8c131}/chrome/enigmail-pt-BR.jar
%{mozillalibdir}/extensions/{c2deadef-4d30-4352-89f0-f60179c8c131}/install.rdf
#-------------------------------------------------------------------

%package -n %{oname}-ru
%define  language_ru ru-RU
%define  locale_ru %(echo %language_ru|sed -e 's/-.*//g')
%define  langname_ru Russian

Summary: %{langname_ru} interface for thunderbird
Source14: %{xpidir}/enigmail-%language_ru-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_ru}


%description  -n %{oname}-ru
%{langname_ru} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-ru
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{847b3a00-7b4a-11d4-8f02-006008948af5}
%dir %{mozillalibdir}/extensions/{847b3a00-7b4a-11d4-8f02-006008948af5}/chrome
%{mozillalibdir}/extensions/{847b3a00-7fe9-11d4-8f02-006008948af5}/chrome.manifest
%{mozillalibdir}/extensions/{847b3a00-7fe9-11d4-8f02-006008948af5}/chrome/enigmail-RU.jar
%{mozillalibdir}/extensions/{847b3a00-7fe9-11d4-8f02-006008948af5}/install.rdf

#-------------------------------------------------------------------

%package -n %{oname}-zh_CN
%define  language_zh_CN zh-CN
%define  locale_zh_CN %(echo %language_zh_CN|sed -e 's/-.*//g')
%define  langname_zh_CN  Simplified Chinese

Summary: %{langname_zh_CN} interface for thunderbird
Source15: %{xpidir}/enigmail-%{language_zh_CN}-%{enigmail_version}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/thunderbird/
Requires: mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale_zh_CN}


%description  -n %{oname}-zh_CN
%{langname_zh_CN} localisation for Mozilla Enigmail in Thunderbird

%files -n %{oname}-zh_CN
%defattr(644,root,root,755)
%dir %{mozillalibdir}/extensions/{ec11ee07-9319-45ce-8874-e202031adc03}
%dir %{mozillalibdir}/extensions/{ec11ee07-9319-45ce-8874-e202031adc03}/chrome
%{mozillalibdir}/extensions/{ec11ee07-9319-45ce-8874-e202031adc03}/chrome.manifest
%{mozillalibdir}/extensions/{ec11ee07-9319-45ce-8874-e202031adc03}/chrome/enigmail-zh-CN.jar
%{mozillalibdir}/extensions/{ec11ee07-9319-45ce-8874-e202031adc03}/install.rdf


#-------------------------------------------------------------------



%prep
%setup -q -c -T

%build

%install
rm -rf %buildroot

# Ca translation
unzip %SOURCE0
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Cs translation
unzip %SOURCE1
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
# add missing manifest
cp -f %{SOURCE16} %buildroot%{mozillalibdir}/extensions/$LANGPACK/chrome.manifest
rm -f -r *

# De translation
unzip %SOURCE2
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Es translation
unzip %SOURCE3
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *


# Fi translation
unzip %SOURCE4
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Fr translation
unzip %SOURCE5
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Hu translation
unzip %SOURCE6
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# It translation
unzip %SOURCE7
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Ja translation
unzip %SOURCE8
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Nb translation
unzip %SOURCE9
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Nb translation
unzip %SOURCE10
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Pl translation
unzip %SOURCE11
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Pt translation
unzip %SOURCE12
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Pt-BR translation
unzip %SOURCE13
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# Ru translation
unzip %SOURCE14
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# CN-ZH translation
unzip %SOURCE15
rm -f install.js *.spec
LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK/
rm -f -r *

# disable version check
sed -i -e 's/maxVersion>.*</maxVersion>1.5.0.*</g' %buildroot%{mozillalibdir}/extensions/*/install.rdf

# all install.rdf files must validate
xmllint --noout %buildroot%{mozillalibdir}/extensions/*/install.rdf


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Thu Sep 21 2006 Vincent Danen <vdanen@mandriva.com>
- build for updates

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-15 20:09:34 (61643)
- Rebuild for thunderbird 1.5.0.7
  Fix zh_CN package

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-13 13:30:21 (61224)
- Remove unneeded files
  Fix cs and fi packages

* Tue Sep 12 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-12 20:12:43 (61105)
- Fix packages name

* Tue Sep 12 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-12 19:58:10 (61102)
- Add BuildRequire
- Fix Version Check

* Tue Sep 12 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-12 19:52:49 (61100)
- import mozilla-enigmail-l10n-1.5.0.5-2mdv2007.0

